<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: MagentoConnection.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: MagentoConnection.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>import axios from 'axios';

/**
 * Magento API Key
 *
 * @class
 * @returns null
 */
export default class MagentoConnection {
  /**
   * Generate API key via admin username &amp; password
   *
   * @static
   * @param {string} magentoBaseUrl - Magento admin credentials
   *
   * @returns AxiosInstance
   */
  static getRawInstance (magentoBaseUrl) {
    return axios.create({
      baseURL: `${magentoBaseUrl}/rest/`,
      headers: {'Content-Type': 'application/json'},
      timeout: 10000,
    });
  }

  /**
   * Generate Magento (Axios) connection instance from an admin account
   *
   * @static
   * @param {object} credentials - Magento admin credentials
   * @param {string} credentials.username - The name of the employee.
   * @param {string} credentials.password - The name of the employee.
   * @param {string} magentoBaseUrl - The employee's department.
   *
   * @throws AxiosError
   * @returns AxiosInstance
   */
  static FromAdminAccount = async function ({username, password}, magentoBaseUrl) {
    const adminTokenPath = '/all/V1/integration/admin/token';
    const instance = MagentoConnection.getRawInstance(magentoBaseUrl);

    const {data: token} = await instance.post(adminTokenPath, {
      password,
      username,
    });

    instance.defaults.headers.common.authorization = `Bearer ${token}`;

    return instance;
  }
}

</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="MagentoClient.html">MagentoClient</a></li><li><a href="MagentoClient_MagentoClient.html">MagentoClient</a></li><li><a href="MagentoConnection.html">MagentoConnection</a></li></ul><h3>Global</h3><ul><li><a href="global.html#connection">connection</a></li><li><a href="global.html#filter">filter</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.3</a> on Fri Feb 07 2020 12:43:27 GMT-0500 (Eastern Standard Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
